package com.bigdata.dis.sdk.demo.example;

import com.huaweicloud.dis.DIS;
import com.huaweicloud.dis.iface.data.request.DeleteCheckpointRequest;
import com.huaweicloud.dis.util.CheckpointTypeEnum;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Delete Checkpoint Example
 */
public class DeleteCheckpoint {
    private static final Logger LOGGER = LoggerFactory.getLogger(UpdatePartitionCount.class);

    public static void main(String[] args)
    {
        DIS dic = DISUtil.getInstance();
        String streamName = DISUtil.getStreamName();
        String appName = DISUtil.getAppName();

        DeleteCheckpointRequest deleteCheckpointRequest = new DeleteCheckpointRequest();
        deleteCheckpointRequest.setCheckpointType(CheckpointTypeEnum.LAST_READ.name());
        deleteCheckpointRequest.setStreamName(streamName);
        deleteCheckpointRequest.setAppName(appName);
        // 设置分区编号
        deleteCheckpointRequest.setPartitionId("0");

        try {
            dic.deleteCheckpoint(deleteCheckpointRequest);
            LOGGER.info("Success to delete CheckPoint, {}", deleteCheckpointRequest.toString());
        } catch (Exception e) {
            LOGGER.error("Failed to  delete CheckPoint, {}", deleteCheckpointRequest.toString(), e);
        }
    }
}
